javax.management

## Interface NotificationListener

- All Superinterfaces:
    EventListener
  All Known Implementing Classes:
    RelationService

      public interface NotificationListener
      extends EventListener

  Should be implemented by an object that wants to receive notifications.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleNotification(Notification notification, Object handback)` Invoked when a JMX notification occurs.

- - ### Method Detail

    - #### handleNotification

          void handleNotification(Notification notification,
                                Object handback)

      Invoked when a JMX notification occurs. The implementation of this method should return as soon as possible, to avoid blocking its notification broadcaster.
      Parameters:
        `notification` - The notification.
        `handback` - An opaque object which helps the listener to associate information regarding the MBean emitter. This object is passed to the addNotificationListener call and resent, without modification, to the listener.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.